=head1 NAME

fssync-debug_vgcscanall - Force a VG cache rescan on all partitions (FSYNC_VG_SCAN_ALL opcode)

=head1 SYNOPSIS

=for html
<div class="synopsis">

B<fssync-debug vgcscanall>
    S<<< [B<-reason> <I<sync protocol reason code>>] >>>
    S<<< [B<-programtype> <I<program type code>>] >>>
    [B<-help>]

B<fssync-debug vgcscana>
    S<<< [B<-r> <I<sync protocol reason code>>] >>>
    S<<< [B<-pr> <I<program type code>>] >>>
    [B<-h>]

=for html
</div>

=head1 DESCRIPTION

The B<fssync-debug vgcscanall> command forces a rescan of the volume
group cache (VGC) for all partitions attached by the fileserver.

=head1 OPTIONS

=over 4

=item B<-reason> <I<sync protocol reason code>>

Specifies numeric sync protocol reason code.
Available codes are listed in OpenAFS source file
F<src/vol/fssync_inline.h>. For SYNC_REASON_NONE,
use B<-reason I<0>>.

=item B<-programtype> <I<program type code>>

Specifies program type code. Permitted values are
I<fileServer>,
I<volumeUtility>,
I<salvager>,
I<salvageServer>,
I<volumeServer> and
I<volumeSalvager>.

=back

=head1 PRIVILEGE REQUIRED

The issuer must have write access to the file server.
Usually, this means that the issuer must be the
local superuser C<root> on the file server machine.

=head1 SEE ALSO

L<fssync-debug_vgcadd(8)>,
L<fssync-debug_vgcdel(8)>,
L<fssync-debug_vgcquery(8)>,
L<fssync-debug_vgcscan(8)>,

=head1 COPYRIGHT

Copyright 2010 Sine Nomine Associates

This documentation is covered by the IBM Public License Version 1.0. This
man page was written by Andrew Deason and Davor Ocelic for OpenAFS.
